www/varnish - The NetBSD Packages Collection

High-performace HTTP accelerator

Varnish is

* a high-performace HTTP accelerator designed for content-heavy
  dynamic web sites.
* designed for maximum performance on modern hardware and modern
  operating systems. Varnish takes full advantage of modern virtual
  memory systems and of advanced operating system features such as
  kqueue, accept filters, sendfile etc. where available.
* open source, published under a two-clause BSD license.

Build dependencies

textproc/py-docutils pkgtools/cwrappers textproc/py-sphinx devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

devel/pcre lang/python39 lang/python39 devel/pcre

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfvarnish-6.6.1.tgz
NetBSD 8.0earmv7hfvarnish-3.0.6nb3.tgz
NetBSD 8.0earmv7hfvarnish-3.0.6nb3.tgz
NetBSD 8.0i386varnish-3.0.6nb3.tgz
NetBSD 8.0i386varnish-3.0.6nb3.tgz
NetBSD 8.0powerpcvarnish-3.0.6nb3.tgz
NetBSD 8.0powerpcvarnish-3.0.6nb3.tgz
NetBSD 8.0powerpcvarnish-3.0.6nb3.tgz
NetBSD 8.0powerpcvarnish-6.6.1.tgz
NetBSD 8.0x86_64varnish-3.0.6nb3.tgz
NetBSD 8.0x86_64varnish-3.0.6nb3.tgz
NetBSD 9.0aarch64varnish-6.6.1.tgz
NetBSD 9.0aarch64varnish-3.0.6nb3.tgz
NetBSD 9.0aarch64varnish-3.0.6nb3.tgz
NetBSD 9.0alphavarnish-6.6.1.tgz
NetBSD 9.0alphavarnish-3.0.6nb3.tgz
NetBSD 9.0alphavarnish-3.0.6nb3.tgz
NetBSD 9.0earmvarnish-3.0.6nb3.tgz
NetBSD 9.0earmvarnish-3.0.6nb3.tgz
NetBSD 9.0earmv6hfvarnish-6.6.1.tgz
NetBSD 9.0earmv6hfvarnish-3.0.6nb3.tgz
NetBSD 9.0earmv6hfvarnish-3.0.6nb3.tgz
NetBSD 9.0earmv7hfvarnish-6.6.1.tgz
NetBSD 9.0earmv7hfvarnish-3.0.6nb3.tgz
NetBSD 9.0earmv7hfvarnish-3.0.6nb3.tgz
NetBSD 9.0earmv7hfvarnish-6.6.1.tgz
NetBSD 9.0i386varnish-3.0.6nb3.tgz
NetBSD 9.0i386varnish-3.0.6nb3.tgz
NetBSD 9.0mips64ebvarnish-3.0.6nb3.tgz
NetBSD 9.0mips64ebvarnish-3.0.6nb3.tgz
NetBSD 9.0mips64ebvarnish-3.0.6nb3.tgz
NetBSD 9.0mips64ebvarnish-3.0.6nb3.tgz
NetBSD 9.0mips64ebvarnish-6.6.1.tgz
NetBSD 9.0powerpcvarnish-3.0.6nb3.tgz
NetBSD 9.0powerpcvarnish-3.0.6nb3.tgz
NetBSD 9.0powerpcvarnish-3.0.6nb3.tgz
NetBSD 9.0powerpcvarnish-3.0.6nb3.tgz
NetBSD 9.0powerpcvarnish-6.6.1.tgz
NetBSD 9.0sh3elvarnish-3.0.6nb3.tgz
NetBSD 9.0sh3elvarnish-3.0.6nb3.tgz
NetBSD 9.0sparc64varnish-3.0.6nb3.tgz
NetBSD 9.0sparc64varnish-3.0.6nb3.tgz
NetBSD 9.0sparc64varnish-6.6.1.tgz
NetBSD 9.0sparcvarnish-3.0.6nb3.tgz
NetBSD 9.0sparcvarnish-3.0.6nb3.tgz
NetBSD 9.0sparcvarnish-3.0.6nb3.tgz
NetBSD 9.0sparcvarnish-3.0.6nb3.tgz
NetBSD 9.0sparcvarnish-6.6.1.tgz
NetBSD 9.0x86_64varnish-6.6.0.tgz
NetBSD 9.0x86_64varnish-6.6.1.tgz
NetBSD 9.0x86_64varnish-3.0.6nb3.tgz
NetBSD 9.0x86_64varnish-3.0.6nb3.tgz
NetBSD 9.0x86_64varnish-6.6.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.